% !lualatex

%% if portrait
\documentclass[a4paper]{book}
%% else
\documentclass[a4paper,landscape]{book}
%% endif
\usepackage{graphicx}
%% if portrait
\usepackage[textwidth=189.9mm,textheight=277.0mm,headsep=1mm]{geometry}
%% else
\usepackage[textwidth=277.0mm,textheight=189.9mm,headsep=1mm]{geometry}
%% endif
\usepackage{fontspec}
\setmainfont{Source Sans Pro}


\usepackage{textpos}
%% if portrait
\TPGrid[12mm,12mm]{1}{4}
%% else
\TPGrid[12mm,12mm]{2}{4}
%% endif

\setlength{\parindent}{0pt}

\begin{document}
%% for date in dates
%% if date.isoweekday() == 1
\begin{textblock}{1}(0,0)
%% elif date.isoweekday() == 2
\begin{textblock}{1}(0,1)
%% elif date.isoweekday() == 3
\begin{textblock}{1}(0,2)
%% elif date.isoweekday() == 4
\begin{textblock}{1}(0,3)
%% elif date.isoweekday() == 5
%% if portrait
\clearpage
\begin{textblock}{1}(0,0)
%% else
\begin{textblock}{1}(1,0)
%% endif
%% elif date.isoweekday() == 6
%% if portrait
\begin{textblock}{1}(0,1)
%% else
\begin{textblock}{1}(1,1)
%% endif
%%else
%% if portrait
\begin{textblock}{1}(0,2)
%% else
\begin{textblock}{1}(1,2)
%% endif
%% endif
  \VAR{date.strftime("%a %d. %B %Y")}\par\vspace*{.3em}
  \centering\includegraphics[width=.95\linewidth]{\VAR{ "%s/%s"|format(base_path, date.strftime("%Y/%m/%d"))}}
\end{textblock}
%% if date.isoweekday() == 7
\clearpage
%% endif
%% endfor
\end{document}

